/* File: xdwtext.h
// Copyright(C) 1999 by Fuji Xerox Co., Ltd. All right reserved.  
*/

#ifndef XDWTEXT_H
#define XDWTEXT_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define XDWTEXT_API __stdcall

int XDWTEXT_API GetFullText(const char *xdwPath, const char *textPath);
BOOL XDWTEXT_API IsDocuWorksData(char *input_buf, int input_size);
int XDWTEXT_API GetPageTextToMemoryUTF16(const char *xdwPath, unsigned short *output_data, int buf_length);
int XDWTEXT_API GetAnnotationTextToMemoryUTF16(const char *xdwPath, unsigned short *output_data, int buf_length);

#ifdef __cplusplus
} /* end of extern "C" */
#endif /* __cplusplus */

#endif /* XDWTEXT_H */