// File: plgsmpl.c

#include <windows.h>
#include <stdio.h>
#include <string.h>
#include "mpplugin.h"
#include "resource.h"

HINSTANCE  myInst=NULL;
__declspec(dllexport) long __stdcall DllMain(HANDLE hInst, unsigned long reason,
											 void* lpReserved)
{
	myInst=hInst;
	return 1;
}

PLUGGEDIN_EXPORT( long ) PLG_ExecuteCommand(PLUGGEDIN_STRUCT *ps)
{
    char *buf=NULL;
    char *tmp1=NULL;
    char *path=NULL;
    int i;
    buf=(char *)LocalAlloc(LMEM_FIXED, 32+(MAX_PATH * ps->ps_nFiles));
    tmp1=(char *)LocalAlloc(LMEM_FIXED, MAX_PATH);
    path=(char *)LocalAlloc(LMEM_FIXED, MAX_PATH);
    strcpy(buf,"Arg files:");
    for (i=0;i< ps->ps_nFiles; i++){
        strcat(buf," ");
        _splitpath(ps->ps_pszFiles[i],tmp1,tmp1,path,tmp1);
        strcat(buf, path);
    }
    MessageBox(GetFocus(),buf,"Plugin Sample",MB_OK);
    
    LocalFree(buf);
    LocalFree(tmp1);
    LocalFree(path);
    return 1;
}

PLUGGEDIN_EXPORT( long ) PLG_EnumerateCommands(char* pszEntries, long nBufSize, long* pnRealSize)
{
    *pnRealSize=strlen("Plugin Sample")+1;

    if (nBufSize<*pnRealSize)
        return 0;

    strcpy(pszEntries, "Plugin Sample");

	return 1;
}

PLUGGEDIN_EXPORT( long ) PLG_Executable(const char *pszFunction, long nSel)
{
	return 1;
}
PLUGGEDIN_EXPORT( long ) PLG_RequireFiles(const char *pszFunction)
{
	return 1;
}

PLUGGEDIN_EXPORT( HICON ) PLG_GetCommandIcon(const char *pszFunction, long bNormal)
{
	HICON hIcon=NULL;
	unsigned resID=0;

	if (bNormal)
		hIcon=LoadIcon(myInst,MAKEINTRESOURCE(IDI_APPICON));
	else
		hIcon=(HICON)LoadImage(myInst,MAKEINTRESOURCE(IDI_APPICON),IMAGE_ICON,16,16,0);
	return hIcon;
}

PLUGGEDIN_EXPORT( long ) PLG_Initialize(const char* cmd)
{
	return 1;
}

PLUGGEDIN_EXPORT( long ) PLG_Finalize(const char*  cmd)
{
	return 1;
}

PLUGGEDIN_EXPORT( long ) PLG_CanFinalize(const char*  cmd)
{
	return 1;
}

PLUGGEDIN_EXPORT( long ) PLG_IsParallel(const char *pszFunction)
{
	return 0;
}

PLUGGEDIN_EXPORT( long ) PLG_IsCloningCommand(const char *pszFunction)
{
    return 0;
}


PLUGGEDIN_EXPORT( long ) PLG_CanSetProfile(const char *pszFunction)
{
	return 0;
}

PLUGGEDIN_EXPORT( long ) PLG_SetProfile(const char *pszFunction)
{
	return 0;
}


PLUGGEDIN_EXPORT( long ) PLG_GetNewClone(char* pszNewClone, long bufsize)
{
    return 0;
}

PLUGGEDIN_EXPORT( long ) PLG_ReleaseClone(const char* pszClone)
{
    return 0;
}
